HaarClassifierNode128 Struct Reference

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/people/src/cuda/nvidia/NCVHaarObjectDetection.hpp>`

## Public Member Functions

__host__ NCVStatus | setFeatureDesc (HaarFeatureDescriptor32 f)
__host__ NCVStatus | setThreshold (Ncv32f t)
__host__ NCVStatus | setLeftNodeDesc (HaarClassifierNodeDescriptor32 nl)
__host__ NCVStatus | setRightNodeDesc (HaarClassifierNodeDescriptor32 nr)
__host__ __device__ HaarFeatureDescriptor32 | getFeatureDesc (void)
__host__ __device__ Ncv32f | getThreshold (void)
__host__ __device__ HaarClassifierNodeDescriptor32 | getLeftNodeDesc (void)
__host__ __device__ HaarClassifierNodeDescriptor32 | getRightNodeDesc (void)

## Public Attributes

uint4 | _ui4

## Detailed Description

Definition at line 209 of file NCVHaarObjectDetection.hpp.

## Member Function Documentation

## getFeatureDesc()

__host__ __device__ HaarFeatureDescriptor32 HaarClassifierNode128::getFeatureDesc | ( | void |  | ) |

inline

Definition at line 237 of file NCVHaarObjectDetection.hpp.

## getLeftNodeDesc()

__host__ __device__ HaarClassifierNodeDescriptor32 HaarClassifierNode128::getLeftNodeDesc | ( | void |  | ) |

inline

Definition at line 247 of file NCVHaarObjectDetection.hpp.

## getRightNodeDesc()

__host__ __device__ HaarClassifierNodeDescriptor32 HaarClassifierNode128::getRightNodeDesc | ( | void |  | ) |

inline

Definition at line 252 of file NCVHaarObjectDetection.hpp.

## getThreshold()

__host__ __device__ Ncv32f HaarClassifierNode128::getThreshold | ( | void |  | ) |

inline

Definition at line 242 of file NCVHaarObjectDetection.hpp.

## setFeatureDesc()

__host__ NCVStatus HaarClassifierNode128::setFeatureDesc | ( | HaarFeatureDescriptor32 | f | ) |

inline

Definition at line 213 of file NCVHaarObjectDetection.hpp.

## setLeftNodeDesc()

__host__ NCVStatus HaarClassifierNode128::setLeftNodeDesc | ( | HaarClassifierNodeDescriptor32 | nl | ) |

inline

Definition at line 225 of file NCVHaarObjectDetection.hpp.

## setRightNodeDesc()

__host__ NCVStatus HaarClassifierNode128::setRightNodeDesc | ( | HaarClassifierNodeDescriptor32 | nr | ) |

inline

Definition at line 231 of file NCVHaarObjectDetection.hpp.

## setThreshold()

__host__ NCVStatus HaarClassifierNode128::setThreshold | ( | Ncv32f | t | ) |

inline

Definition at line 219 of file NCVHaarObjectDetection.hpp.

## Member Data Documentation

## _ui4

uint4 HaarClassifierNode128::_ui4

Definition at line 211 of file NCVHaarObjectDetection.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/people/src/cuda/nvidia/NCVHaarObjectDetection.hpp